version: "3.4"
services:
    frontend:
        image: registry.jacknet.io/51m0n/environment-frontend:latest
        depends_on:
            - database
        environment:
            - ASPNETCORE_oidc_region=openid-connect
            - ASPNETCORE_oidc_clientid=51m0n-temperature
            - ASPNETCORE_oidc_clientsecret=
            - ASPNETCORE_mongodb_uri=mongodb://database:27017/

    database:
        image: mongo:latest

    apiserver:
        image: registry.jacknet.io/51m0n/environment-api:latest
        environment:
            - GIN_DB_PATH=mongodb://database:27017/
        depends_on:
            - database

    proxy:
        image: nginx:latest
        volumes:
            - ./nginx.conf:/etc/nginx/nginx.conf:ro
        ports:
            - "9030:9000"
        depends_on:
            - apiserver
            - frontend
    